GuideLab API

Create a conversation

Create a new conversation within a partnership. Optionally link it to an order and include an initial message. If a conversation already exists for the same partnership+order, returns the existing one. Available to both labs and clinics.

POST
/conversations

Create a new conversation within a partnership. Optionally link it to an order and include an initial message. If a conversation already exists for the same partnership+order, returns the existing one. Available to both labs and clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/conversations" \  -H "Content-Type: application/json" \  -d '{    "partnershipId": "string"  }'
{  "data": {    "id": "string",    "partnershipId": "string",    "orderId": "string",    "title": "string",    "lastMessageId": "string",    "lastMessageAt": "string",    "lastMessagePreview": "string",    "lastMessageSenderId": "string",    "unreadCounts": {      "property1": 0,      "property2": 0    },    "createdAt": "string",    "updatedAt": "string"  },  "existing": true}
{  "data": {    "id": "string",    "partnershipId": "string",    "orderId": "string",    "title": "string",    "lastMessageId": "string",    "lastMessageAt": "string",    "lastMessagePreview": "string",    "lastMessageSenderId": "string",    "unreadCounts": {      "property1": 0,      "property2": 0    },    "createdAt": "string",    "updatedAt": "string"  },  "existing": true}
Empty
Empty
Empty
Empty
Empty